GuideLab API

Setup Medit Webhook

Set up a Medit webhook endpoint for receiving real-time notifications about orders, cases, and files. Replaces any existing webhook endpoint for this connection.

POST
/scanner-connections/{id}/webhook-setup

Set up a Medit webhook endpoint for receiving real-time notifications about orders, cases, and files. Replaces any existing webhook endpoint for this connection.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/webhook-setup"
{  "success": true,  "message": "string",  "details": {    "endpointUuid": "string",    "events": [      "string"    ],    "url": "string"  }}
Empty
Empty
Empty